<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.20.1.final using JasperReports Library version 6.20.1-7584acb244139816654f64e2fd57a00d3e31921e  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="DetailFaktur" pageWidth="2110" pageHeight="1112" orientation="Landscape" columnWidth="2110" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" isIgnorePagination="true" uuid="68e3f201-7619-4399-aacb-429216c2f145">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="fms"/>
	<property name="net.sf.jasperreports.export.xls.detect.cell.type." value="true"/>
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<parameter name="organisationId" class="java.lang.String"/>
	<parameter name="dariTanggal" class="java.lang.String"/>
	<parameter name="sampaiTanggal" class="java.lang.String"/>
	<parameter name="ppn" class="java.lang.String"/>
	<queryString>
		<![CDATA[SELECT 	
     i.invoicecode,
	i.invoicedate,
	i.discount,
	i.gst,
	i.total,
	i.subtotal,
	i.remark,
	i.adhoc_discount,
	i.dpp,
	tbcustomer.company_name,
	tbcustomer.npwp,
	tbcustomer.zipcode,
	tbcustomer.npwpcompanyname,
	tbcustomer.npwpcompanyaddress,
	tbmasterorganisation.address_line_1,
	tbmasterorganisation.address_line_2,
	tbmasterorganisation.name as name_organisation,
	ROUND((i_i.amount - ROUND(i.discount / i.subtotal , 2) * i_i.amount) * $P{ppn}, 0) as ppnitem,
	(select SUM(ROUND((ii_i.amount - ROUND(i.discount / i.subtotal , 2) * ii_i.amount) * $P{ppn}, 0)) from tbinvoiceitem ii_i
	left join tbinvoice iv on iv.id = ii_i.invoice
	where ii_i.invoice = i_i.invoice and i.id = iv.id) as ppninvoice,
	i.subtotal - i.discount as subdis,
	i.adhoc_discount + i.discount as dis,
	(select SUM(ROUND(ii_i.amount * $P{ppn})) from tbinvoiceitem ii_i
	left join tbinvoice iv on iv.id = ii_i.invoice
	where ii_i.invoice = i_i.invoice and i.id = iv.id) as ppn,
	i_i.unitprice,
	i_i.weight,
	i_i.alternative_name,
	i_i.quantity,
	i_i.amount,
	p.is_raw_material,
	p.code,
	w.value
from tbinvoice i
left join tbinvoiceitem i_i on i_i.invoice = i.id
left join tbproduct  p on i_i.product = p.id
left join tbcustomer on i.customer = tbcustomer.id
left join tbmasterorganisation on tbcustomer.organisation_id = tbmasterorganisation.id
left join tbkilogramweight w on w.id = p.kilogram_weight_id
where DATE(i.invoicedate) BETWEEN $P{dariTanggal} AND $P{sampaiTanggal}
AND tbmasterorganisation.id = $P{organisationId} AND i.status != 4
group by i.invoicecode,
	i.invoicedate,
	i.discount,
	i.gst,
	i.total,
	i.subtotal,
	i.remark,
	i.dpp,
	tbcustomer.company_name,
	i.adjustment,
	tbcustomer.npwp,
	tbcustomer.zipcode,
	tbcustomer.npwpcompanyname,
	tbcustomer.npwpcompanyaddress,
	tbmasterorganisation.address_line_1,
	tbmasterorganisation.address_line_2,
	tbmasterorganisation.name,
	i.id,
	i_i.id,
	i_i.unitprice,
	i_i.weight,
	i_i.alternative_name,
	i_i.quantity,
	i_i.amount,
	p.code,
	w.value
Order By tbcustomer.company_name,i.invoicecode]]>
	</queryString>
	<field name="invoicecode" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="invoicecode"/>
		<property name="com.jaspersoft.studio.field.label" value="invoicecode"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="invoicedate" class="java.sql.Date">
		<property name="com.jaspersoft.studio.field.name" value="invoicedate"/>
		<property name="com.jaspersoft.studio.field.label" value="invoicedate"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="discount" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="discount"/>
		<property name="com.jaspersoft.studio.field.label" value="discount"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
	</field>
	<field name="gst" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="gst"/>
		<property name="com.jaspersoft.studio.field.label" value="gst"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="total" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="total"/>
		<property name="com.jaspersoft.studio.field.label" value="total"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="subtotal" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="subtotal"/>
		<property name="com.jaspersoft.studio.field.label" value="subtotal"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
	</field>
	<field name="remark" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="remark"/>
		<property name="com.jaspersoft.studio.field.label" value="remark"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
	</field>
	<field name="adhoc_discount" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="adhoc_discount"/>
		<property name="com.jaspersoft.studio.field.label" value="adhoc_discount"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
	</field>
	<field name="dpp" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="dpp"/>
		<property name="com.jaspersoft.studio.field.label" value="dpp"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
	</field>
	<field name="company_name" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="company_name"/>
		<property name="com.jaspersoft.studio.field.label" value="company_name"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="npwp" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="npwp"/>
		<property name="com.jaspersoft.studio.field.label" value="npwp"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="zipcode" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="zipcode"/>
		<property name="com.jaspersoft.studio.field.label" value="zipcode"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
	</field>
	<field name="npwpcompanyname" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="npwpcompanyname"/>
		<property name="com.jaspersoft.studio.field.label" value="npwpcompanyname"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="npwpcompanyaddress" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="npwpcompanyaddress"/>
		<property name="com.jaspersoft.studio.field.label" value="npwpcompanyaddress"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="address_line_1" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="address_line_1"/>
		<property name="com.jaspersoft.studio.field.label" value="address_line_1"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="address_line_2" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="address_line_2"/>
		<property name="com.jaspersoft.studio.field.label" value="address_line_2"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="name_organisation" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="name"/>
		<property name="com.jaspersoft.studio.field.label" value="name_organisation"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
	</field>
	<field name="ppnitem" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.name" value="ppnitem"/>
		<property name="com.jaspersoft.studio.field.label" value="ppnitem"/>
	</field>
	<field name="ppninvoice" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.name" value="ppninvoice"/>
		<property name="com.jaspersoft.studio.field.label" value="ppninvoice"/>
	</field>
	<field name="subdis" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="subdis"/>
		<property name="com.jaspersoft.studio.field.label" value="subdis"/>
	</field>
	<field name="dis" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="dis"/>
		<property name="com.jaspersoft.studio.field.label" value="dis"/>
	</field>
	<field name="ppn" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.name" value="ppn"/>
		<property name="com.jaspersoft.studio.field.label" value="ppn"/>
	</field>
	<field name="unitprice" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="unitprice"/>
		<property name="com.jaspersoft.studio.field.label" value="unitprice"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="weight" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="weight"/>
		<property name="com.jaspersoft.studio.field.label" value="weight"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
	</field>
	<field name="alternative_name" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="alternative_name"/>
		<property name="com.jaspersoft.studio.field.label" value="alternative_name"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
	</field>
	<field name="quantity" class="java.lang.Integer">
		<property name="com.jaspersoft.studio.field.name" value="quantity"/>
		<property name="com.jaspersoft.studio.field.label" value="quantity"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="amount" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="amount"/>
		<property name="com.jaspersoft.studio.field.label" value="amount"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="is_raw_material" class="java.lang.Boolean">
		<property name="com.jaspersoft.studio.field.name" value="is_raw_material"/>
		<property name="com.jaspersoft.studio.field.label" value="is_raw_material"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
	</field>
	<field name="code" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="code"/>
		<property name="com.jaspersoft.studio.field.label" value="code"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
	</field>
	<field name="value" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="value"/>
		<property name="com.jaspersoft.studio.field.label" value="value"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbkilogramweight"/>
	</field>
	<variable name="disocunt_persentase_peritem" class="java.math.BigDecimal" resetType="Group" resetGroup="ivoice_code">
		<variableExpression><![CDATA[$F{discount}.divide($F{subtotal})]]></variableExpression>
	</variable>
	<variable name="disocunt_peritem" class="java.math.BigDecimal" resetType="Group" resetGroup="ivoice_code">
		<variableExpression><![CDATA[$V{disocunt_persentase_peritem}.multiply($F{amount})]]></variableExpression>
	</variable>
	<variable name="sumasmount" class="java.math.BigDecimal" resetType="Group" resetGroup="invoicecode" incrementType="Group" incrementGroup="invoicecode" calculation="Sum">
		<variableExpression><![CDATA[$F{amount}]]></variableExpression>
	</variable>
	<variable name="Variable_1" class="java.lang.String"/>
	<variable name="disocunt_fix" class="java.math.BigDecimal" resetType="Group" resetGroup="ivoice_code">
		<variableExpression><![CDATA[$F{adhoc_discount}.divide($F{subtotal}, 2)]]></variableExpression>
	</variable>
	<variable name="disocunt_fix_amount" class="java.math.BigDecimal" resetType="Group" resetGroup="ivoice_code">
		<variableExpression><![CDATA[$F{amount}.subtract($F{adhoc_discount})]]></variableExpression>
	</variable>
	<variable name="ppninvoice" class="java.math.BigDecimal" resetType="Group" resetGroup="ivoice_code" calculation="Sum">
		<variableExpression><![CDATA[$F{ppnitem}]]></variableExpression>
	</variable>
	<variable name="count_invoice_code" class="java.lang.Integer" resetType="Column" incrementType="Group" incrementGroup="invoicecode" calculation="Count">
		<variableExpression><![CDATA[$F{invoicecode}]]></variableExpression>
	</variable>
	<variable name="11" class="java.math.BigDecimal">
		<variableExpression><![CDATA[new BigDecimal(0.11)]]></variableExpression>
	</variable>
	<variable name="12" class="java.math.BigDecimal">
		<variableExpression><![CDATA[new BigDecimal(0.12)]]></variableExpression>
	</variable>
	<variable name="UM.0018" class="java.lang.String">
		<variableExpression><![CDATA["UM.0018"]]></variableExpression>
	</variable>
	<variable name="UM.0004" class="java.lang.String">
		<variableExpression><![CDATA["UM.0004"]]></variableExpression>
	</variable>
	<variable name="DPP Nilai Lain" class="java.math.BigDecimal">
		<variableExpression><![CDATA[new BigDecimal(0.916666667).multiply($F{weight}.multiply($F{unitprice}).subtract($V{disocunt_peritem}))]]></variableExpression>
	</variable>
	<variable name="UM.0003" class="java.lang.String">
		<variableExpression><![CDATA["UM.0003"]]></variableExpression>
	</variable>
	<group name="ivoice_code">
		<groupExpression><![CDATA[$F{invoicecode}]]></groupExpression>
	</group>
	<group name="invoicecode">
		<groupExpression><![CDATA[$F{invoicecode}]]></groupExpression>
	</group>
	<title>
		<band height="20">
			<textField>
				<reportElement x="900" y="0" width="140" height="20" printWhenGroupChanges="invoicecode" uuid="c9666205-6115-43cf-b71c-8f68b3264b51"/>
				<textElement verticalAlignment="Middle">
					<font isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Jumlah Barang Jasa"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="580" y="0" width="160" height="20" printWhenGroupChanges="invoicecode" uuid="9d922fc0-e1c4-40d6-9c93-af8aa2e661b2"/>
				<textElement verticalAlignment="Middle">
					<font isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Nama Satuan Ukur"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="1540" y="0" width="140" height="20" printWhenGroupChanges="invoicecode" uuid="4bcc3214-e63b-4d69-ba47-50c9fdc68356"/>
				<textElement verticalAlignment="Middle">
					<font isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA["PPN"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="270" y="0" width="310" height="20" printWhenGroupChanges="invoicecode" uuid="a55d57f7-2acf-4651-9222-55a66d35d416"/>
				<textElement verticalAlignment="Middle">
					<font isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Nama Barang/Jasa"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="1680" y="0" width="100" height="20" printWhenGroupChanges="invoicecode" uuid="b99f2570-685e-444a-89d7-182b77bfd701"/>
				<textElement verticalAlignment="Middle">
					<font isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Tarif PPnBM"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="60" y="0" width="90" height="20" printWhenGroupChanges="invoicecode" uuid="27b787f5-f4f4-4ae1-ae46-b6aaf43a1e86"/>
				<textElement verticalAlignment="Middle">
					<font isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Barang/Jasa"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="0" width="60" height="20" uuid="8b01aa91-4bf9-4def-b140-0d32482a6ddb"/>
				<box leftPadding="3"/>
				<textElement verticalAlignment="Middle">
					<font isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Baris"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="150" y="0" width="120" height="20" printWhenGroupChanges="invoicecode" uuid="4581daae-a84d-48db-bbca-05c2f264acb4"/>
				<textElement verticalAlignment="Middle">
					<font isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Kode Barang Jasa"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="1320" y="0" width="140" height="20" printWhenGroupChanges="invoicecode" uuid="3c196997-0037-43c8-b320-84a0561a3d94"/>
				<textElement verticalAlignment="Middle">
					<font isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA["DPP Nilai Lain"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="1460" y="0" width="80" height="20" printWhenGroupChanges="invoicecode" uuid="01990ba9-817e-46c3-853d-3b2d9d959b50"/>
				<textElement verticalAlignment="Middle">
					<font isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Tarif PPN"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="1040" y="0" width="140" height="20" printWhenGroupChanges="invoicecode" uuid="b018b01a-d6e3-4dac-977c-ed17c905f035"/>
				<textElement verticalAlignment="Middle">
					<font isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Total Diskon"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="740" y="0" width="160" height="20" printWhenGroupChanges="invoicecode" uuid="26cb3c47-9bd2-42c1-95ed-d9826afebd13"/>
				<textElement verticalAlignment="Middle">
					<font isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Harga Satuan"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="1180" y="0" width="140" height="20" printWhenGroupChanges="invoicecode" uuid="c51adcd9-3b21-41bf-bff5-231f00eb16f9"/>
				<textElement verticalAlignment="Middle">
					<font isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA["DPP"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="1780" y="0" width="140" height="20" printWhenGroupChanges="invoicecode" uuid="962e6303-2746-424e-af0d-a5b92ed84915"/>
				<textElement verticalAlignment="Middle">
					<font isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA["PPnBM"]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<detail>
		<band height="20" splitType="Stretch">
			<textField>
				<reportElement x="0" y="0" width="60" height="20" uuid="ee6f3e8f-3004-446d-a502-23362fdecf81">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box leftPadding="3"/>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$V{count_invoice_code}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="60" y="0" width="90" height="20" printWhenGroupChanges="invoicecode" uuid="5e741bdb-9e6d-4afe-a284-e0ad6b589b58">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textFieldExpression><![CDATA["A"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="150" y="0" width="120" height="20" printWhenGroupChanges="invoicecode" uuid="4d5bf589-d320-4c99-b58c-00a199dc9170">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textFieldExpression><![CDATA["'000000"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="270" y="0" width="310" height="20" printWhenGroupChanges="invoicecode" uuid="e6774863-bb35-4a71-865c-5ca5625c24f3">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textFieldExpression><![CDATA[$F{is_raw_material} == true ? $F{alternative_name}.replace("[", "").replace("]", "").replaceAll("[^a-zA-Z0-9]", " ") : $F{alternative_name}.replace("[PACK]", "").replace("KG", "").replaceAll("[^a-zA-Z0-9]", " ")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="580" y="0" width="160" height="20" printWhenGroupChanges="invoicecode" uuid="59227c38-1617-45ce-8b08-3f300968b834">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textFieldExpression><![CDATA[$V{UM.0003}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="740" y="0" width="160" height="20" printWhenGroupChanges="invoicecode" uuid="3eb4757c-ebaf-43d7-8b6f-b6a14d3717e2">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[new java.text.DecimalFormat("###0.00").format($F{unitprice})]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="900" y="0" width="140" height="20" printWhenGroupChanges="invoicecode" uuid="67da7982-a2c7-47d9-9e7d-e3cb0f6891f2">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$F{is_raw_material} == true ?
new java.text.DecimalFormat("###0").format($F{weight}.setScale(0, RoundingMode.HALF_UP)) :
new java.text.DecimalFormat("###0").format($F{quantity})]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="1040" y="0" width="140" height="20" printWhenGroupChanges="invoicecode" uuid="fe42ee0b-9a25-4e8f-84d4-36c4182b40bb">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[new java.text.DecimalFormat("###0.00").format($V{disocunt_peritem})]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="1180" y="0" width="140" height="20" printWhenGroupChanges="invoicecode" uuid="e32b432d-9d40-4e9d-beba-da3bedd2e6a5">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[new java.text.DecimalFormat("###0.00").format($F{weight}.multiply($F{unitprice}).subtract($V{disocunt_peritem}))]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00#;#,##0.00#-">
				<reportElement x="1320" y="0" width="140" height="20" printWhenGroupChanges="invoicecode" uuid="2e31a006-c659-423f-9b15-afe1f06a67e6">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[new java.text.DecimalFormat("###0.00").format(new BigDecimal(0.916666667).multiply($F{weight}.multiply($F{unitprice}).subtract($V{disocunt_peritem})))]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="1460" y="0" width="80" height="20" printWhenGroupChanges="invoicecode" uuid="35378888-530b-4e62-8d57-48c30279d6b2">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA["12"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="1540" y="0" width="140" height="20" printWhenGroupChanges="invoicecode" uuid="6389c90c-66aa-4749-aeaf-ce24820eaedb">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[new java.text.DecimalFormat("###0.00").format(new BigDecimal(0.916666667).multiply($F{weight}.multiply($F{unitprice}).subtract($V{disocunt_peritem})).multiply(new BigDecimal(12)).divide(new BigDecimal(100)))]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="1680" y="0" width="100" height="20" printWhenGroupChanges="invoicecode" uuid="fb516934-3336-442d-b92a-a6cbd0af1dd6">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA["0"]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00;#,##0.00-">
				<reportElement x="1780" y="0" width="140" height="20" printWhenGroupChanges="invoicecode" uuid="58fd8004-b5e5-42ac-8e4c-c886cdd2647c">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
					<property name="net.sf.jasperreports.export.xls.pattern" value="#,##0.#;#,##0.#-"/>
				</reportElement>
				<textElement textAlignment="Right" markup="none"/>
				<textFieldExpression><![CDATA[0.00]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<summary>
		<band height="20">
			<textField>
				<reportElement x="0" y="0" width="60" height="20" uuid="0db0ab39-4f0e-4c5e-8397-4908197138b8"/>
				<box leftPadding="3"/>
				<textElement verticalAlignment="Middle">
					<font isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA["END"]]></textFieldExpression>
			</textField>
		</band>
	</summary>
</jasperReport>
